﻿using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Controls;
using GridsCell;

namespace WpfApplication7
{
    /// <summary>
    /// Interaction logic for TabItem2.xaml
    /// </summary>
    public partial class TabItem2 : UserControl
    {
        private ObservableCollection<Data> source;

        public TabItem2()
        {
            InitializeComponent();
        }

        public ObservableCollection<Data> Source
        {
            get
            {
                return source;
            }
            set
            {
                Grid.ItemsSource = value;
                source = value;
            }
        }

        private void FrameworkElement_OnSizeChanged(object sender, SizeChangedEventArgs e)
        {
            Grid.Width = e.NewSize.Width - 10;
            Grid.Height= e.NewSize.Height- 10;
        }
    }
}
