﻿using System;
using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Threading;
using Infragistics.Windows.Controls;
using WpfApplication7;

namespace GridsCell
{
    public partial class MainWindow : Window
    {
        private ObservableCollection<Data> gridSource;
        private int i = 0;

        public MainWindow()
        {
            InitializeComponent();
            var tabs = new ObservableCollection<TabItemEx>();
            TabControl.ItemsSource = tabs;

            gridSource = new ObservableCollection<Data>();
            for (i = 0; i < 1000; i++)
            {
                gridSource.Add(new Data()
                               {
                                   Name1 = i.ToString(),
                                   Name2 = i.ToString(),
                                   Name3 = i.ToString(),
                                   Name4 = i.ToString(),
                                   Name5 = i.ToString(),
                                   Name6 = i.ToString(),
                                   Name7 = i.ToString(),
                                   Name8 = i.ToString(),
                                   Name9 = i.ToString(),
                                   Name10 = i.ToString(),
                                   Name11 = i.ToString(),
                                   Name12 = i.ToString(),
                                   Name13 = i.ToString(),
                                   Name14 = i.ToString(),
                                   Name15 = i.ToString()
                               });
            }

            var tabItem1 = new TabItem1 {Source = gridSource};
            tabs.Add(new TabItemEx
                     {
                         Header = "Tab 1",
                         Content = tabItem1
                     });

            var tabItem2 = new TabItem2 { Source = gridSource };
            tabs.Add(new TabItemEx
            {
                Header = "Tab 2",
                Content = tabItem2
            });

            var tabItem3 = new TabItem3 { Source = gridSource };
            tabs.Add(new TabItemEx
            {
                Header = "Tab 3",
                Content = tabItem3
            });
        }

        private void BeginAdd1000Items(object sender, RoutedEventArgs e)
        {
            DispatcherTimer timer = new DispatcherTimer();
            timer.Interval = TimeSpan.FromMilliseconds(500);
            timer.Tick += timer_Tick;
            timer.Start();
        }

        void timer_Tick(object sender, EventArgs e)
        {
            gridSource.Add(new Data()
            {
                Name1 = i.ToString(),
                Name2 = i.ToString(),
                Name3 = i.ToString(),
                Name4 = i.ToString(),
                Name5 = i.ToString(),
                Name6 = i.ToString(),
                Name7 = i.ToString(),
                Name8 = i.ToString(),
                Name9 = i.ToString(),
                Name10 = i.ToString(),
                Name11 = i.ToString(),
                Name12 = i.ToString(),
                Name13 = i.ToString(),
                Name14 = i.ToString(),
                Name15 = i.ToString()
            });
        }
    }


    public class Data
    {
        public String Name1 { get; set; }
        public String Name2 { get; set; }
        public String Name3 { get; set; }
        public String Name4 { get; set; }
        public String Name5 { get; set; }
        public String Name6 { get; set; }
        public String Name7 { get; set; }
        public String Name8 { get; set; }
        public String Name9 { get; set; }
        public String Name10 { get; set; }
        public String Name11 { get; set; }
        public String Name12 { get; set; }
        public String Name13 { get; set; }
        public String Name14 { get; set; }
        public String Name15 { get; set; }
    }
}
